CREATE TABLE cst_inv_to_lines_int_i_gt (
    EXTERNAL_SYSTEM_REFERENCE         VARCHAR2(120) ,
    EXTERNAL_SYSTEM_REF_ID            VARCHAR2(120) ,
    ORIGIN_SOURCE                     VARCHAR2(120)     NOT NULL,
    TRANSFER_ORDER_NUMBER             VARCHAR2(200)     NOT NULL,
    LINE_NUMBER                       NUMBER(9, 0)      NOT NULL,
    REQUISITIONING_BU_ID              NUMBER(18, 0) ,
    REQUISITION_LINE_ID               NUMBER(18, 0) ,
    ORDERED_DATE                      DATE              NOT NULL,
    DESCRIPTION                       VARCHAR2(960) ,
    FULFILL_ORCHESTRATION_REQUIRED    VARCHAR2(4)       NOT NULL,
    SOURCE_ORG_ID                     NUMBER(18, 0)     NOT NULL,
    DESTINATION_ORG_ID                NUMBER(18, 0)     NOT NULL,
    DESTINATION_TYPE_CODE             VARCHAR2(120)     NOT NULL,
    INVENTORY_ITEM_ID                 NUMBER(18, 0)     NOT NULL,
    REQUESTED_QUANTITY                NUMBER            NOT NULL,
    UOM                               VARCHAR2(12)      NOT NULL,
    SECONDARY_REQUESTED_QTY           NUMBER        ,
    SECONDARY_QTY_UOM_CODE            VARCHAR2(12)  ,
    UNIT_PRICE                        NUMBER        ,
    INCL_NONRECOVERABLE_TAX           NUMBER        ,
    INCL_RECOVERABLE_TAX              NUMBER        ,
    NONINCL_NONRECOVERABLE_TAX        NUMBER        ,
    NONINCL_RECOVERABLE_TAX           NUMBER        ,
    CURRENCY_CODE                     VARCHAR2(60)  ,
    TRADE_AGREEMENT_PTR_ID            NUMBER(18, 0) ,
    ORIGINAL_HEADER_ID                NUMBER(18, 0) ,
    ORIGINAL_LINE_ID                  NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    EXTERNAL_SYSTEM_REFERENCE         VARCHAR2(120) ,
    EXTERNAL_SYSTEM_REF_ID            VARCHAR2(120) ,
    ORIGIN_SOURCE                     VARCHAR2(120)     NOT NULL,
    TRANSFER_ORDER_NUMBER             VARCHAR2(200)     NOT NULL,
    LINE_NUMBER                       NUMBER(9, 0)      NOT NULL,
    REQUISITIONING_BU_ID              NUMBER(18, 0) ,
    REQUISITION_LINE_ID               NUMBER(18, 0) ,
    ORDERED_DATE                      DATE              NOT NULL,
    DESCRIPTION                       VARCHAR2(960) ,
    FULFILL_ORCHESTRATION_REQUIRED    VARCHAR2(4)       NOT NULL,
    SOURCE_ORG_ID                     NUMBER(18, 0)     NOT NULL,
    DESTINATION_ORG_ID                NUMBER(18, 0)     NOT NULL,
    DESTINATION_TYPE_CODE             VARCHAR2(120)     NOT NULL,
    INVENTORY_ITEM_ID                 NUMBER(18, 0)     NOT NULL,
    REQUESTED_QUANTITY                NUMBER            NOT NULL,
    UOM                               VARCHAR2(12)      NOT NULL,
    SECONDARY_REQUESTED_QTY           NUMBER        ,
    SECONDARY_QTY_UOM_CODE            VARCHAR2(12)  ,
    UNIT_PRICE                        NUMBER        ,
    INCL_NONRECOVERABLE_TAX           NUMBER        ,
    INCL_RECOVERABLE_TAX              NUMBER        ,
    NONINCL_NONRECOVERABLE_TAX        NUMBER        ,
    NONINCL_RECOVERABLE_TAX           NUMBER        ,
    CURRENCY_CODE                     VARCHAR2(60)  ,
    TRADE_AGREEMENT_PTR_ID            NUMBER(18, 0) ,
    ORIGINAL_HEADER_ID                NUMBER(18, 0) ,
    ORIGINAL_LINE_ID                  NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    REQUEST_ID                        NUMBER(18, 0) ,
    JOB_DEFINITION_NAME               VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE            VARCHAR2(3600),
    CONSTRAINT pk_cst_inv_to_lines_int_i_gt PRIMARY KEY (EXTERNAL_SYSTEM_REFERENCE, EXTERNAL_SYSTEM_REF_ID, EXTERNAL_SYSTEM_REFERENCE, EXTERNAL_SYSTEM_REF_ID)
);
